Announcement

Collapse
No announcement yet.

Problema instalare Metatrader

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problema instalare Metatrader

    Acest thread este o continuare a problemei discutate aici http://fxtrader.ro/forum/metatrader/...t4-2#post30924

    Mi-am marit numarul de partitii ale hard-disk-ului de la 2 la 3, pastrand pe una din partitii Windows XP pe care il aveam initial si pe alta partitie am instalat Windows 7 Ultimate 32 bit. Am incercat sa instalez Metatrader4 pe Windows 7 si imi da un mesaj de eroare:

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: am4setup.exe
    Application Version: 5.0.0.910
    Application Timestamp: 5327568f
    Fault Module Name: am4setup.exe
    Fault Module Version: 5.0.0.910
    Fault Module Timestamp: 5327568f
    Exception Code: c000001d
    Exception Offset: 0001ff79
    OS Version: 6.1.7601.2.1.0.256.1
    Locale ID: 1048
    Additional Information 1: 0a9e
    Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
    Additional Information 3: 0a9e
    Additional Information 4: 0a9e372d3b4ad19135b953a78882e789

    Read our privacy statement online:
    Windows 7 Privacy Statement - Microsoft Windows

    If the online privacy statement is not available, please read our privacy statement offline:
    G:\Windows\system32\en-US\erofflps.txt


    S-a mai confruntat cineva cu situatia asta?
    Attached Files

  • #2
    ce versiune incerci sa instalezi?

    Comment


    • #3
      Se vede in poza : 5.0.0.910

      Comment


      • #4
        Unu la mana - Versiunea 5.0.0.910 este a fisierului de instalare, nu a terminalului MT4.
        Deci iti crapa instalatorul si nu terminalul MT4.
        Cel mai probabil este vorba de un instalator corupt, ceea ce necesita o noua descarcare a instalatorului si o noua instalare cu aceasta noua descarcare.

        Doi la mana : odata instalat terminalul MT4 pe WinXP, nu mai trebuie sa-l instalezi si pe Win7.
        Incearca urmatorii pasi si vezi ce se intampla la rularea terminalului MT4:
        1. Creezi pe desktop icoana pt terminalul MT4 instalat pe XP. Lansezi terminalul MT4 si daca ai probleme urmezi si pasii urmatori, altfel nu.
        2. Selectezi pe desktop icoana cu terminalul MT4.
        3. Apesi buton dreapta mouse si deschizi Properties.
        4. Selectezi tab-ul Compatibility.
        5. Selectezi casuta "Run this program in compatibility mode for" dupa ce in prealabil selectezi acolo WindowsXP (Service Pack 3).
        Last edited by imwim; 9th May 2014, 08:23 AM.
        Pretul este o miscare, nu un rezultat.

        Comment


        • #5
          Originally posted by imwim View Post
          Doi la mana : odata instalat terminalul MT4 pe WinXP, nu mai trebuie sa-l instalezi si pe Win7.
          Incearca urmatorii pasi si vezi ce se intampla la rularea terminalului MT4:
          1. Creezi pe desktop icoana pt terminalul MT4 instalat pe XP. Lansezi terminalul MT4 si daca ai probleme urmezi si pasii urmatori, altfel nu.
          2. Selectezi pe desktop icoana cu terminalul MT4.
          3. Apesi buton dreapta mouse si deschizi Properties.
          4. Selectezi tab-ul Compatibility.
          5. Selectezi casuta "Run this program in compatibility mode for" dupa ce in prealabil selectezi acolo WindowsXP (Service Pack 3).
          Dar nu am spus ca terminalul MT4 l-am instalat pe WinXP. Nu l-am instalat pe XP fiindca nu se putea. De aceea am trecut la Win7 dar vad ca nici asa nu se instaleaza. Solutia ta de la pasul 1 nu poate fi aplicata deoarece terminalul nu se poate instala pe XP. Apoi solutia de la pasii urmatori deja am incercat-o pe un terminal instalat pe un laptop apoi copiat in PC-ul meu. Nici asa nu merge.

          Sapand mai mult pe Google am aflat ca nu este suficient sa schimb sistemul de operare de la WinXP la Win7 pentru a rula MT4. Se pare ca exista si cerinte de hardware pentru a putea instala MT4.
          Am citit aici (MT4) Does Meta Trader 4 fully compatible with Windows 8 64-bit? - MQL4 forum ca
          "The Client Terminal can operate under Microsoft Windows XP/2003/Vista/2008/7. A processor that supports SSE2 instruction sets is required for operating as well. Other hardware requirements are limited with software ones."
          Iar aici How to stop MT4 from automatically updating itself or how to go back to build 509 ‹ scrie ca
          "Drop support for old processor “All client terminal components require support for SSE2 instruction set by PC’s processor for efficient operation and high performance.” . This means that if you had some older machines running MT4 on Live accounts or just doing Demo forward testing, after the “update” they just crash and stops working."

          Asadar batranul meu PC nu are nici o sansa (am verificat procesorul si nu suporta SSE2)

          Din fericire solutia gasita la adresa precedenta, How to stop MT4 from automatically updating itself or how to go back to build 509 ‹ (foarte interesant articolul) functioneaza pentru mine. Build-ul 509 pe care l-am descarcat de acolo porneste pe WinXP iar pentru a opri actualizarile automate am sters folderul "webinstall" asa cum se indica in articol.

          Interesanta pentru a opri actualizarile automate mi s-a parut si solutia propusa de utilizatorul Fxtein care a comentat la acel articol:

          Hi guys,
          here it is the best method of stopping updating to mt4 build 600.
          We can stop updating at webinstall folder. But it is creating automatically again and again. we can use delete folder batch file to delete this webinstall folder continuously.
          Open notepad and past below code.
          :start
          rmdir /s /q “C:\Documents and Settings\All Users\Application Data\MetaQuotes\WebInstall”
          goto start

          save file as “.bat” extension
          then run this it will delete webinstall folder automatically.
          keep it in startup folder. Then download build 509 and open the terminal.exe.
          the mt4 will not update

          Asadar, daca mai are cineva probleme cu rularea MT4 datorita configuratiei invechite a PC-ului sau a sistemului de operare, poate sa incerce aceasta solutie.

          Comment


          • #6
            Daca sistemul NU suporta SSE2, asta iti spune chiar instalatorul printr-un mesaj, insa instalatorul nu crapa din acest motiv. Dupa ce mi-a dat eroarea asta pe un sistem mai vechi la instalarea MT5, am renuntat la acel sistem.

            Solutia cu build 509 este doar de moment. In curand NU vor mai fi suportate de broker decat versiunile de la 600 in sus. Asa s-a intamplat cu MT4 build 225, ultima versiune care accepta depanarea unui dll scris intr-un alt limbaj de programare.

            Fisierele ex4 de pe build 600 in sus, nu-ti vor mai merge pe build 509. Plus alte inconveniente de performanta.

            Cea mai buna solutie ramane un nou sistem (SSE3,SSE4).
            Last edited by imwim; 10th May 2014, 01:55 AM.
            Pretul este o miscare, nu un rezultat.

            Comment


            • #7
              Eu am nevoie de la MT4 doar sa salvez OHLC-urile de la brokerul meu in format .csv
              De tranzactionat oricum nu tranzactionez cu MT4 ci cu Webtrader.

              E posibil ca problema sa fi fost si de la instalator deoarece eu am descarcat Win7 de pe Google, posibil sa aiba probleme insusi sistemul de operare.

              Comment

              Working...
              X